Bug 361191 - Review Request: rubygem-rails - Web-application framework
Review Request: rubygem-rails - Web-application framework
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Fedora Extras Quality Assurance
Depends On: 361201 361211 361231 361241 361251
  Show dependency treegraph
Reported: 2007-10-31 21:46 EDT by David Lutterkort
Modified: 2014-08-06 14:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-03 18:51:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sseago: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-10-31 21:46:37 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-rails.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-rails-1.2.5-1.src.rpm

Rails is a framework for building web-application using CGI, FCGI, mod_ruby, or WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2, SQL Server, or Oracle with eRuby- or Builder-based templates.
Comment 1 Scott Seago 2007-11-07 11:58:15 EST
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

??? - BuildRoot value: not sure if this is really a problem, but it
  looks like %{release} is omitted:

  BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
             %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

FIX - rpmlint complains 
E: rubygem-rails zero-length
E: rubygem-rails zero-length
Comment 2 David Lutterkort 2007-11-13 22:49:47 EST
I fixed the buildroot.

The two files rpmlint complains about are empty upstream - I did not want to
remove them to minimize differences between the gem and the rpm

Spec URL: http://people.redhat.com/dlutter/yum/spec/rubygem-rails.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/rubygem-rails-1.2.5-2.src.rpm
Comment 3 Scott Seago 2007-11-14 17:27:28 EST
Comment 4 David Lutterkort 2007-11-28 14:17:25 EST
New Package CVS Request
Package Name: rubygem-rails
Short Description: Web-application framework
Owners: lutter,sseago
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Ville Skyttä 2007-11-28 14:44:40 EST
Looks like an update to 1.2.6 before pushing this would be a good idea:
Comment 6 Kevin Fenzi 2007-11-28 18:21:12 EST
cvs done. 
Comment 7 David Lutterkort 2007-12-03 18:51:30 EST
scop: thanks for pointing to the CVE. I did update to 1.2.6.

Successfully imported and built.
Comment 8 Troy Dawson 2014-08-06 14:32:53 EDT
Package Change Request
Package Name: rubygem-rails
New Branches: epel7
Owners: tdawson
Comment 9 Jon Ciesla 2014-08-06 14:41:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.